package com.example.myapplication.DAO;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;

import com.example.myapplication.DTO.City;
import com.example.myapplication.DTO.User;

import java.util.List;

@Dao
public interface CityDao {
    @Insert
    void insert(City city);

    @Insert
    void insertAll(City... city);

    @Query("SELECT * FROM city_table")
    List<City> getAllCity();

    @Query("SELECT * FROM city_table WHERE id = :cityId")
    City getCityById(long cityId);

    @Query("SELECT COUNT(*) FROM city_table")
    int countCity();

    @Query("SELECT * FROM city_table WHERE CityName = :city")
    City getCityByName(String city);
}
