package com.example.myapplication;

import com.example.myapplication.DAO.CityDao;
import com.example.myapplication.DAO.FavoriteCityDao;
import com.example.myapplication.DAO.UserDao;
import com.example.myapplication.DTO.User;

public class DatabaseInitializer {
    public static void populateDatabase(final AppDatabase db) {
        new Thread(() -> {
            UserDao userDao = db.userDao();
            CityDao cityDao = db.cityDao();
            FavoriteCityDao favoriteCityDao = db.favoriteCityDao();
            // Создание начальных данных
            User user1 = new User("Alice", "kek123");
            User user2 = new User("Bob", "kek123");
            User user3 = new User("Charlie", "kek123");
            User user4 = new User("David", "kek123");
            User user5 = new User("Eve", "kek123");
            userDao.insertAll(user1, user2, user3, user4, user5);

            // Создание городов
//            City city1 = new City("Moscow");
//            City city2 = new City("Saint Petersburg");
//            City city3 = new City("Novosibirsk");
//            City city4 = new City("Yekaterinburg");
//            City city5 = new City("Kazan");
//            City city6 = new City("Chelyabinsk");
//            City city7 = new City("Omsk");
//            cityDao.insertAll(city1, city2, city3, city4, city5, city6, city7);

            // Создание связей между пользователями и городами
//            FavoriteCity favoriteCity1 = new FavoriteCity(1, 1);
//            FavoriteCity favoriteCity2 = new FavoriteCity(1, 2);
//            FavoriteCity favoriteCity3 = new FavoriteCity(1, 3);
//            FavoriteCity favoriteCity4 = new FavoriteCity(2, 4);
//            FavoriteCity favoriteCity5 = new FavoriteCity(2, 5);
//            FavoriteCity favoriteCity6 = new FavoriteCity(3, 6);
//            FavoriteCity favoriteCity7 = new FavoriteCity(3, 7);
//            favoriteCityDao.insertAll(favoriteCity1, favoriteCity2, favoriteCity3, favoriteCity4, favoriteCity5, favoriteCity6, favoriteCity7);

        }).start();
    }
}