package com.example.myapplication.DAO;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;

import com.example.myapplication.DTO.User;

import java.util.List;

@Dao
public interface UserDao {
    @Insert
    void insert(User user);

    @Insert
    void insertAll(User... users);

    @Query("SELECT * FROM user_table")
    List<User> getAllUsers();

    @Query("SELECT password FROM user_table WHERE LOWER(name) = LOWER(:name)")
    String getPasswordByName(String name);

    @Query("SELECT * FROM user_table WHERE LOWER(name) = LOWER(:username)")
    User getUserByName(String username);
}