package com.example.myapplication.DTO;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "weather_table")
public class WeatherData {
    @PrimaryKey(autoGenerate = true)
    private long id;

    public String City;
    public String Temperature;
    public String WeatherCondition;
    public String AtmosphericPressure;
    public String Wind;

    public WeatherData(String City, String Temperature, String WeatherCondition, String AtmosphericPressure, String Wind) {
        this.City = City;
        this.Temperature = Temperature;
        this.WeatherCondition = WeatherCondition;
        this.AtmosphericPressure = AtmosphericPressure;
        this.Wind = Wind;
    }
}